#if !defined(AFX_PRTBASECREATE_H__CDA35044_D24A_11D3_AF0E_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRTBASECREATE_H__CDA35044_D24A_11D3_AF0E_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrtBaseCreate.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "PrtBaseCreateSub.h"	// For CFCPRTBASECREATE.
#include "PropertyPageBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPrtBaseCreate _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPrtBaseCreate : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPrtBaseCreate)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPrtBaseCreate();
	~CFCPrtBaseCreate();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPrtBaseCreate)
	enum { IDD = IDD_PRT_BASE_CREATE };
	//}}AFX_DATA

CFCPRTBASECREATE

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCPrtBaseCreate)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPrtBaseCreate)
	virtual BOOL OnInitDialog();
	afx_msg void OnDialogInitValue();
	afx_msg void OnBcrBtnReferenceOrderUp();
	afx_msg void OnDoubleclickedBcrBtnReferenceOrderUp();
	afx_msg void OnBcrBtnReferenceOrderDown();
	afx_msg void OnDoubleclickedBcrBtnReferenceOrderDown();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRTBASECREATE_H__CDA35044_D24A_11D3_AF0E_00C0F6B0E2D0__INCLUDED_)
